<div class="mt-0">
    <div class="title mb-2">
        <h3>
          {{'state.all' | translate}}
          <div class="spinner-border" role="status" *ngIf="loading">
              <span class="visually-hidden">{{ 'shared.loading' | translate }}</span>
          </div>
        </h3>
    </div>
    <div class="mb-3">
        <div class="d-flex justify-content-end">
                <button (click)="create()" class="btn btn-outline-dark d-flex">
                    <i class="bi bi-plus-lg me-2"></i>{{'state.generate' | translate}}</button>
        </div>
    </div>
    <div class="border rounded" *ngIf="list?.items.length !== 0">
        <table class="table table-striped">
            <thead>
                <tr class="text-center">
                    <th scope="col">№</th>
                    <th scope="col">{{'state.tableName' | translate}}<a (click)="sortAz()"><i class="bi bi-sort-alpha-down"></i></a></th>
                    <th scope="col">{{'state.tableStatus' | translate}}<a (click)="sortAz()"><i class="bi bi-sort-alpha-down"></i></a></th>
                    <th scope="col">{{'state.tableDate' | translate}}<a (click)="sortAz()"><i class="bi bi-sort-alpha-down"></i></a></th>
                </tr>
            </thead>

            <tbody>
                <tr class="text-center" *ngFor="let user of list?.items" role="button" (click)="onDetail(user.application.id)">
                    <td>{{user.id}}</td>
                    <td>{{user?.name}}</td>
                    <td>
                        <div class="status mx-auto">{{user?.application.currentStatus}}</div></td>
                    <td>{{user.application.dateOfApplication | date: 'dd.MM.yyyy'}}</td>
                </tr>
            </tbody>
        </table>
        <ngb-pagination [collectionSize]="list?.count" (pageChange)="setPage($event)"></ngb-pagination>
    </div>
</div>
<app-empty-list *ngIf="list?.items.length === 0"></app-empty-list>
